Skip to main content
POST
Submit message feedback

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string
required

The id of the conversation the message belongs to.

message_id
string
required

The id of the message to submit feedback for. Accepts the raw message UUID or a {uuid}-user / {uuid}-agent public id.

Body

application/json

Request body for submitting like or dislike feedback on a conversation message.

like
enum<integer>
required

1 for thumbs up, -1 for thumbs down.

Available options:
1,
-1
feedback
string | null

Optional free-text comment.

ui_surface
enum<string> | null

Client surface where the user submitted feedback.

Available options:
datagrid_web,
procore_embed,
field_ai_mobile

Response

Feedback recorded